﻿
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace MultiColumnDropDownDemo_2010
{
    class MovieRepositoryViewModel : INotifyPropertyChanged
    {
        #region Properties
        private ObservableCollection<GrossingMoviesList> moviesList;
        public ObservableCollection<GrossingMoviesList> MoviesLists
        {
            get
            {
                return moviesList;
            }
            set
            {
                moviesList = value;
                RaisePropertyChanged("MoviesLists");
            }
        }

        private GrossingMoviesList _selectedMovieItem;
        public GrossingMoviesList SelectedMovieItem
        {
            get
            {
                return _selectedMovieItem;
            }
            set
            {
                if(_selectedMovieItem == value)
                {
                    return;
                }
                _selectedMovieItem = value;
            
                RaisePropertyChanged("SelectedMovieItem");
            }
        }
        #endregion

        #region Ctor
        public MovieRepositoryViewModel()
        {
            MoviesLists = new MovieListRepository();
        }
        #endregion

        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void RaisePropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
